# Uses of Interface
org.bukkit.inventory.meta.ItemMeta

Packages that use ItemMeta
Package
Description
com.destroystokyo.paper.inventory.meta
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.

## Uses of ItemMeta in com.destroystokyo.paper.inventory.meta

Subinterfaces of ItemMeta in com.destroystokyo.paper.inventory.meta
Modifier and Type
Interface
Description
`interface`
`ArmorStandMeta`

## Uses of ItemMeta in org.bukkit.inventory

Methods in org.bukkit.inventory with type parameters of type ItemMeta
Modifier and Type
Method
Description
`<M extends ItemMeta>
boolean`
ItemStack.`editMeta(@NotNull Class<M> metaClass, Consumer<@NotNull ? super M> consumer)`
Edits the `ItemMeta` of this stack if the meta is of the specified type.
Methods in org.bukkit.inventory that return ItemMeta
Modifier and Type
Method
Description
`@Nullable ItemMeta`
ItemFactory.`asMetaFor(@NotNull ItemMeta meta, @NotNull ItemStack stack)`
Returns an appropriate item meta for the specified stack.
`@Nullable ItemMeta`
ItemFactory.`asMetaFor(@NotNull ItemMeta meta, @NotNull Material material)`
Returns an appropriate item meta for the specified material.
`ItemMeta`
ItemFactory.`getItemMeta(@NotNull Material material)`
This creates a new item meta for the material.
`ItemMeta`
ItemStack.`getItemMeta()`
Get a copy of this ItemStack's `ItemMeta`.
Methods in org.bukkit.inventory with parameters of type ItemMeta
Modifier and Type
Method
Description
`@Nullable ItemMeta`
ItemFactory.`asMetaFor(@NotNull ItemMeta meta, @NotNull ItemStack stack)`
Returns an appropriate item meta for the specified stack.
`@Nullable ItemMeta`
ItemFactory.`asMetaFor(@NotNull ItemMeta meta, @NotNull Material material)`
Returns an appropriate item meta for the specified material.
`boolean`
ItemFactory.`equals(@Nullable ItemMeta meta1, @Nullable ItemMeta meta2)`
This method is used to compare two item meta data objects.
`boolean`
ItemFactory.`isApplicable(@Nullable ItemMeta meta, @Nullable ItemStack stack)`
This method checks the item meta to confirm that it is applicable (no data lost if applied) to the specified ItemStack.
`boolean`
ItemFactory.`isApplicable(@Nullable ItemMeta meta, @Nullable Material material)`
This method checks the item meta to confirm that it is applicable (no data lost if applied) to the specified Material.
`boolean`
ItemStack.`setItemMeta(@Nullable ItemMeta itemMeta)`
Set the ItemMeta of this ItemStack.
`@NotNull Material`
ItemFactory.`updateMaterial(@NotNull ItemMeta meta, @NotNull Material material)`
Deprecated.
for internal use only
Method parameters in org.bukkit.inventory with type arguments of type ItemMeta
Modifier and Type
Method
Description
`boolean`
ItemStack.`editMeta(Consumer<? super ItemMeta> consumer)`
Edits the `ItemMeta` of this stack.

## Uses of ItemMeta in org.bukkit.inventory.meta

Subinterfaces of ItemMeta in org.bukkit.inventory.meta
Modifier and Type
Interface
Description
`interface`
`AxolotlBucketMeta`
Represents a bucket of axolotl.
`interface`
`BannerMeta`
`interface`
`BlockDataMeta`
`interface`
`BlockStateMeta`
`interface`
`BookMeta`
Represents a book (`Material.WRITABLE_BOOK` or `Material.WRITTEN_BOOK`) that can have a title, an author, and pages.
`interface`
`BundleMeta`
`interface`
`CompassMeta`
Represents a compass that can track a specific location.
`interface`
`CrossbowMeta`
`interface`
`Damageable`
Represents an item that has durability and can take damage.
`interface`
`EnchantmentStorageMeta`
EnchantmentMeta is specific to items that can store enchantments, as opposed to being enchanted.
`interface`
`FireworkEffectMeta`
Represents a meta that can store a single FireworkEffect.
`interface`
`FireworkMeta`
Represents a `Material.FIREWORK_ROCKET` and its effects.
`interface`
`KnowledgeBookMeta`
`interface`
`LeatherArmorMeta`
Represents leather armor (`Material.LEATHER_BOOTS`, `Material.LEATHER_CHESTPLATE`, `Material.LEATHER_HELMET`, or `Material.LEATHER_LEGGINGS`) that can be colored.
`interface`
`MapMeta`
Represents a map that can be scalable.
`interface`
`PotionMeta`
Represents a potion or item that can have custom effects.
`interface`
`Repairable`
Represents an item that can be repaired at an anvil.
`interface`
`SkullMeta`
Represents a skull that can have an owner.
`interface`
`SpawnEggMeta`
Represents a spawn egg and it's spawned type.
`interface`
`SuspiciousStewMeta`
Represents a suspicious stew that can have custom effects.
`interface`
`TropicalFishBucketMeta`
Represents a bucket of tropical fish.
Methods in org.bukkit.inventory.meta that return ItemMeta
Modifier and Type
Method
Description
`@NotNull ItemMeta`
ItemMeta.`clone()`